#ifndef EXAMPLE_H
#define EXAMPLE_H

#include <QtGui/QMainWindow>
#include <QtCore/QUrl>

namespace Phonon { class MediaObject; }

class Example : public QMainWindow
{
	Q_OBJECT
	public:
		Example();
		virtual ~Example();
	
	private slots:
		void selectFile();
		void play();
		void stop();
		void finished();
		
	private:
		Phonon::MediaObject* mediaObject;
};

#endif // example_H
